hw_GetAnchorsObj
hw_GetChildColl
Hyperwave Functions
PHP Manual

# hw_GetAndLock

Return object record and lock object

### Description

string hw_getandlock ( int `$connection` , int `$objectID` )

Returns the object record for the object with ID `objectID`. It will also lock the object, so other users cannot access it until it is unlocked.

### Parameters

`connection`

  The connection identifier.

`objectID`

  The object identifier.

### Return Values

Returns the object record for the object with ID `objectID`.

### See Also

- hw_unlock
- hw_getobject